Subject: Re: bug#18270: Crash in latest emacs-24 branch on ubuntu 14.04

From: Stefan Kangas <[email-masked]>
Date: Fri, 23 Aug 2019 21:03:03 +0200

[email-masked] writes:

> I can reproduce with my config on Spectrwm tiling WM.
> However under KDE it runs fine without segfaults.
> Also "emacs -Q" would hang but not crash as it did.
> Must be an issue with gtk3 and the Spectrwm wm.
>
> I've attached the Crash output as well as the configure/etc.

I see in the output from the crash:

> (emacs:19316): Gtk-CRITICAL **: gtk_distribute_natural_allocation: assertion 'extra_space >= 0' failed
> Fatal error 11: Segmentation fault

In the etc/PROBLEMS file, we have the following item regarding a crash
with the same error message:

> *** Emacs built with GTK+ toolkit can unexpectedly widen frames

Perhaps this should therefore be merged with the bugs mentioned there:

> See also https://debbugs.gnu.org/cgi/bugreport.cgi?bug=15700,
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=22000,
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=22898 and
> https://lists.gnu.org/r/emacs-devel/2016-07/msg00154.html.

Thanks,
Stefan Kangas